Bug 574249 - Review Request: mbox2eml - Split mbox mailboxes into single .eml files
Summary: Review Request: mbox2eml - Split mbox mailboxes into single .eml files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-16 22:37 UTC by Ville Skyttä
Modified: 2010-04-09 04:03 UTC (History)
2 users (show)

Fixed In Version: mbox2eml-0.1.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-19 20:52:31 UTC
wolfy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2010-03-16 22:37:40 UTC
http://scop.fedorapeople.org/packages/mbox2eml.spec
http://scop.fedorapeople.org/packages/mbox2eml-0.1.1-3.fc13.src.rpm

Mbox2eml splits mbox mailboxes into single .eml files.  It is highly
configurable and written in C++ to gain maximum performance using a
minimum of RAM.

http://sourceforge.net/projects/mbox2eml/

Comment 1 manuel wolfshant 2010-03-18 03:19:49 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type: GPLv2+ according to the bundled COPYING file
     License type: GPL+ according to the spec
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 8fa8cf4ebeea239fd2149a94ee607142ddceabb1  mbox2eml-0.1.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [-] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. As far as i can see, the source files include no license specification, but the bundled COPYING is the stock GPLv2+. I think that the license tag in the spec file must be adjusted according to that. I'll trust your decision about this.



================
*** APPROVED ***
================

Comment 2 Ville Skyttä 2010-03-18 06:49:33 UTC
Thanks for the review.

The bundled COPYING is indeed the GPL v2 text, and it states "If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation." which means that GPL+ is the right thing to do.

See also the GPL+ entry at http://fedoraproject.org/wiki/Licensing:

"A GPL or LGPL licensed package that lacks any statement of what version that it's licensed under in the source code/program output/accompanying docs is technically licensed under *any* version of the GPL or LGPL, not just the version in whatever COPYING file they include."

Comment 3 Ville Skyttä 2010-03-18 17:43:41 UTC
New Package CVS Request
=======================
Package Name: mbox2eml
Short Description: Split mbox mailboxes into single .eml files
Owners: scop
Branches: F-13
InitialCC:

Comment 4 Kevin Fenzi 2010-03-19 20:01:52 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-03-19 21:04:13 UTC
mbox2eml-0.1.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mbox2eml-0.1.1-3.fc13

Comment 7 Fedora Update System 2010-04-09 04:03:17 UTC
mbox2eml-0.1.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.